<table>
    <thead>
        <tr>
            <th>{{ _("result_details.quantitative_scores.label.trait") }}</th>
            <th>{{ _("result_details.quantitative_scores.label.average_raw_score") }}</th>
            <th>{{ _("result_details.quantitative_scores.label.personality_percentage") }}</th>
            <th>{{ _("result_details.quantitative_scores.label.t_score") }}</th>
            <th>{{ _("result_details.quantitative_scores.label.percentile") }}</th>
        </tr>
    </thead>
    {% set no_subtraits = not score.display_subtraits %}
    <tbody class="{% if no_subtraits %}no_subtrait{% endif %}">
        {% for trait in traits %}
        {% set abbr = trait.abbreviation %}
        {% if  trait.is_maintrait or not no_subtraits %}
        {% set maintrait_class = 'maintrait' if trait.is_maintrait else '' %}
        {% set highest_class = 'highest' if score.is_subtrait_high(abbr, count=count) else '' %}
        {% set lowest_class = 'lowest' if score.is_subtrait_low(abbr, count=count) else '' %}
        <tr class="{{ maintrait_class }} {{ highest_class }} {{ lowest_class }}">
            <th>{{ _(trait.title) }}</th>
            <td>{{ round(score.rawscore_averages[abbr], 1) }}</td>
            <td>{{ round(score.personality_percentages[abbr], 1) }}%</td>
            <td>{{ int(round(score.tscores[abbr])) }}</td>
            <td>{{ score.percentiles[abbr] }}%</td>
        </tr>
        {% endif %}
        {% endfor %}
    </tbody>
</table>
